import * as React from 'react';
import * as types from '../../types';
import { ILatLng } from '../../types';
import MapViewProps from 'react-native-maps';
import { MapViewDirectionsProps, IRegion } from '../../types';
interface IState {
    mapMargin: number;
    userLocation?: ILatLng;
}
interface IProps {
    mapViewProps?: MapViewProps;
    mapNavigationProps?: MapViewDirectionsProps;
    initialRegion?: IRegion;
    destination?: ILatLng | null;
    apikey?: string;
    userLocationButton?: boolean;
    goToLocation?(newLocation: types.ILatLng): void;
    onRegionChange?: (newRegion: IRegion) => void;
    onUserLocationChanged?: (newLocation: ILatLng) => void;
}
export declare class MapComponent extends React.Component<IProps, IState> {
    constructor(props: IProps);
    goToLocation(coordinate: types.ILatLng): Promise<void>;
    goToUserLocation(): Promise<void>;
    /**
     * Get list of predefined places available in autocomplete
     */
    getPredefinedPlaces(): Array<Object>;
    setMap(ref: any): void;
    onMapReady(): void;
    render(): JSX.Element;
}
export default MapComponent;
//# sourceMappingURL=MapComponent.d.ts.map