var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import * as React from 'react';
import _ from 'lodash';
import { View } from 'react-native';
// @ts-ignore - missing in definition
import MapView, { PROVIDER_GOOGLE } from 'react-native-maps';
import LocationService from '../../services/location-service/LocationService';
import * as MapService from '../../services/map-service/MapService';
// @ts-ignore
import MapViewDirections from 'react-native-maps-directions';
import UserLocationButton from '../../components/user-location-button/UserLocationButton';
import { styles, Colors } from 'react-native-cross-components';
let map;
export class MapComponent extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            mapMargin: 1,
        };
        // this.setMap = this.setMap.bind(this);
        this.getPredefinedPlaces = this.getPredefinedPlaces.bind(this);
        this.goToUserLocation = this.goToUserLocation.bind(this);
        this.onMapReady = this.onMapReady.bind(this);
    }
    goToLocation(coordinate) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!map) {
                return;
            }
            MapService.goToUserLocation(map, coordinate);
        });
    }
    goToUserLocation() {
        return __awaiter(this, void 0, void 0, function* () {
            console.log('goToUserLocation has map? ' + !_.isNil(map));
            if (!map) {
                return;
            }
            console.log('goToUserLocation has LocationService? ' + !_.isNil(LocationService));
            const coordinate = yield LocationService.getCurrentLocation();
            MapService.goToUserLocation(map, coordinate);
            this.setState({ userLocation: coordinate });
            if (this.props.onUserLocationChanged) {
                console.log('goToUserLocation calls onUserLocationChanged');
                this.props.onUserLocationChanged(coordinate);
            }
        });
    }
    /**
     * Get list of predefined places available in autocomplete
     */
    getPredefinedPlaces() {
        // const { userLocation } = this.state;
        // if (!_.isNil(userLocation)) {
        //   const userPlace = {
        //     description: 'Min nuvarande plats',
        //     geometry: {
        //       location: {
        //         lat: userLocation.latitude,
        //         lng: userLocation.longitude,
        //       },
        //     },
        //   };
        //   return [userPlace];
        // }
        return [];
    }
    setMap(ref) {
        map = ref;
    }
    onMapReady() {
        this.setState({ mapMargin: 0 });
    }
    render() {
        return (React.createElement(View, { style: styles.container },
            React.createElement(MapView, Object.assign({ maxZoomLevel: 18, zoomEnabled: true, loadingEnabled: false, showsBuildings: false, showsUserLocation: true, showsIndoors: false, showsMyLocationButton: false, toolbarEnabled: false, onMapReady: this.onMapReady, onRegionChangeComplete: (region) => {
                    if (!_.isNil(this.props.onRegionChange)) {
                        this.props.onRegionChange(region);
                    }
                }, loadingIndicatorColor: Colors.CrossLightBlue, showsCompass: false, ref: this.setMap, style: [styles.container, { marginBottom: this.state.mapMargin }], provider: PROVIDER_GOOGLE }, this.props.mapViewProps),
                this.state.userLocation &&
                    this.props.destination &&
                    this.props.destination.latitude ? (React.createElement(MapViewDirections, Object.assign({ origin: this.state.userLocation, destination: {
                        latitude: Number(this.props.destination.latitude),
                        longitude: Number(this.props.destination.longitude),
                    }, 
                    //TODO PARAMS
                    apikey: this.props.apikey, strokeColor: "blue", strokeWidth: 3 }, this.props.mapNavigationProps))) : null,
                this.props.children),
            this.props.userLocationButton ? (React.createElement(UserLocationButton, { onPress: this.goToUserLocation })) : null));
    }
}
export default MapComponent;
//# sourceMappingURL=MapComponent.js.map