import { ILatLng, IRegion } from '../../types';
export declare type LocationChangedCallback = (newLocation: ILatLng) => void;
export interface ICoordinate {
    latitude: number;
    longitude: number;
}
declare class LocationServiceImplementation {
    /**
     * Watch for location changes
     * @param locationChanged Callback that occurs when location changes
     */
    watchLocation(locationChanged: LocationChangedCallback): void;
    /**
     * Calculates area including delta for a collection of coordiantes
     * @param {Array<Coordinates>} - array of coordinates
     */
    getMapPointForCoordiantes: (coordinates: ICoordinate[]) => IRegion;
    getCurrentLocation: () => Promise<ILatLng>;
}
declare const LocationService: LocationServiceImplementation;
export default LocationService;
//# sourceMappingURL=LocationService.d.ts.map