// map/types/index
/**
 * Map action types
 * @constant
 * @public
 * @typedef MapConstants
 * @type {Object}
 */
export var MapConstants;
(function (MapConstants) {
    MapConstants["MAP_LOCATION_BUSY"] = "Letar upp dig";
    MapConstants["MAP_LOCATION_SUCCESS"] = "MAP = GET LOCATION SUCCESS";
    MapConstants["MAP_LOCATION_FAILED"] = "MAP = GET LOCATION FAILED";
})(MapConstants || (MapConstants = {}));
/**
 * Creates a new {IMapState}
 * @param location user location
 * @param isUserSearch determines if the location changed from user search. Default is false
 * @param type action type
 */
export const MapState = (location = {
    latitude: 0,
    longitude: 0,
    latitudeDelta: 0,
    longitudeDelta: 0,
}, isUserSearch = false, __typename = MapConstants.MAP_LOCATION_BUSY) => {
    const r = {
        location,
        isUserSearch,
        __typename,
    };
    return r;
};
//# sourceMappingURL=types.js.map